Download it now!
Bug 132614 - Autocorrect conversion error (bracket to enclosed characters)
Summary: Autocorrect conversion error (bracket to enclosed characters)
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: DaeHyun Sung
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords:
Depends on:
Blocks: CJK-Korean
  Show dependency treegraph
 
Reported: 2020-05-02 15:59 UTC by DaeHyun Sung
Modified: 2020-10-06 11:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of Autocorrects in Korean on HWP (Korean word processor program) (68.19 KB, image/png)
2020-05-02 18:01 UTC, DaeHyun Sung
Details
LibreOffice Autocorrect Error screenshot about '(주)' & '(KS)' (619.74 KB, image/png)
2020-05-02 18:10 UTC, DaeHyun Sung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description DaeHyun Sung 2020-05-02 15:59:27 UTC
Description:
In Korea, MS Word & HWP support autocorrect.

Example:
(주) -> ㈜ [U+321C]
(KS) -> ㉿ [U+327F]

I found the same autocorrect feature on LibreOffice.

so, I registered some autocorrect items(Bracket to enclose characters).
Insert -> Conversion
(주) -> ㈜ [U+321C]
(KS) -> ㉿ [U+327F]

Already, some autocorrect item is registered.
Insert -> Conversion
(C) -> © [U+00A9]
(R) -> ® [U+00AE]

Also, I added some Korean word autocorrect items.
Insert -> Conversion
"가까와" -> "가까워"
"가까왔" -> "가까웠"
"가까히" -> "가까이"
"가랭이" -> "가랑이"
"가운대" -> "가운데"

Result
(Bracket to enclose characters)
(주) -> (주) Fail (Expected: ㈜ [U+321C] )
(KS) -> (KS) Fail (Expected: ㉿ [U+327F] )

Already registered autocorrect items
(C) -> © [U+00A9] Success!
(R) -> ® [U+00AE] Success!

some Korean word autocorrect items.
"가까와" -> "가까워"  Success!
"가까왔" -> "가까웠"  Success!
"가까히" -> "가까이"  Success!
"가랭이" -> "가랑이"  Success!
"가운대" -> "가운데"  Success!


Below is autocorrect error issue of Libreffoce video for Korean.
https://www.youtube.com/watch?v=hvjm5iqGFOE

When one alphabet(such as C, R) is enclosed in parentheses, it is automatically corrected.
But, Korean word (such as 주) & two alphabets(such as KS) is enclosed in parentheses, It is not worked.

However, Only Korean word autocorrection is working. 

Steps to Reproduce:
1. add some autocorrect items on 'extras/source/autocorr/lang/ko/DocumentList.xml'
 or Autocorrect options
2. save items.
3. check the autocorrect items


Actual Results:
(주) -> (주) 
(KS) -> (KS) 

Expected Results:
(주) -> ㈜ [U+321C] 
(KS) -> ㉿ [U+327F] 


Reproducible: Always


User Profile Reset: No



Additional Info:
outside Unicode's Latin range, Bracket to enclose characters is not working.
Example
   <block-list:block block-list:abbreviated-name=".*(C)" block-list:name="©"/>
   <block-list:block block-list:abbreviated-name=".*(R)" block-list:name="®"/>

I added it.
+  <block-list:block block-list:abbreviated-name=".*(주)" block-list:name="㈜"/>
+  <block-list:block block-list:abbreviated-name=".*(KS)" block-list:name="㉿"/>
Comment 1 DaeHyun Sung 2020-05-02 16:12:58 UTC
That is related commit.
tdf#132614 add Korean autocorrect conversions

https://gerrit.libreoffice.org/c/core/+/93315

the commit is some part of MS Word Korean version and HWP's autocorrect contents
Comment 2 DaeHyun Sung 2020-05-02 18:01:51 UTC
Created attachment 160231 [details]
Example of Autocorrects in Korean on HWP (Korean word processor program)

Example of Autocorrects in Korean on HWP (Korean word processor program)
Comment 3 DaeHyun Sung 2020-05-02 18:10:45 UTC
Created attachment 160234 [details]
LibreOffice Autocorrect Error screenshot about '(주)' & '(KS)'

LibreOffice Autocorrect Error screenshot about '(주)' & '(KS)'

Below is autocorrect error issue of Libreffoce screenshot video for Korean.
https://www.youtube.com/watch?v=hvjm5iqGFOE


(주) -> (주) Fail (Expected: ㈜ [U+321C] )
(KS) -> (KS) Fail (Expected: ㉿ [U+327F] )

When one alphabet(such as C, R) is enclosed in parentheses, it is automatically corrected.
But, Korean word (such as 주) & two alphabets(such as KS) is enclosed in parentheses, It is not worked.
Comment 4 Buovjaga 2020-08-31 14:06:09 UTC
Cloph reported on IRC:
"no repro on linux/Gnome/ibus for tdf#132614 - setup autocorrect replacements as described, add a korean/hangul input method, type the characters: shift+9 (opening parenthesis), wu (compose the ju syllable), shift+0 (closing parenthesis), space (to trigger the autocorrect) → gets replaced as expected. Even simpler with the (KS), just enter in latin mode and it works."

Maybe you can ask others from the Korean community to test.
Comment 5 DaeHyun Sung 2020-09-01 17:15:40 UTC
(In reply to Buovjaga from comment #4)
> Cloph reported on IRC:
> "no repro on linux/Gnome/ibus for tdf#132614 - setup autocorrect
> replacements as described, add a korean/hangul input method, type the
> characters: shift+9 (opening parenthesis), wu (compose the ju syllable),
> shift+0 (closing parenthesis), space (to trigger the autocorrect) → gets
> replaced as expected. Even simpler with the (KS), just enter in latin mode
> and it works."
> 
> Maybe you can ask others from the Korean community to test.

I'll test it on both Linux and Windows.
After the test on Linux & Windows, I'll also test on MacOSX
Comment 6 DaeHyun Sung 2020-09-01 18:53:46 UTC
(In reply to Buovjaga from comment #4)
> Cloph reported on IRC:
> "no repro on linux/Gnome/ibus for tdf#132614 - setup autocorrect
> replacements as described, add a korean/hangul input method, type the
> characters: shift+9 (opening parenthesis), wu (compose the ju syllable),
> shift+0 (closing parenthesis), space (to trigger the autocorrect) → gets
> replaced as expected. Even simpler with the (KS), just enter in latin mode
> and it works."
> 
> Maybe you can ask others from the Korean community to test.

I added ㈜ and ㉿ on 'extras/source/autocorr/lang/ko/DocumentList.xml' 
diff --git a/extras/source/autocorr/lang/ko/DocumentList.xml b/extras/source/autocorr/lang/ko/DocumentList.xml
index 9fc6e94a19cc..9710a1bc0f65 100644
--- a/extras/source/autocorr/lang/ko/DocumentList.xml
+++ b/extras/source/autocorr/lang/ko/DocumentList.xml
@@ -3,6 +3,8 @@
   <block-list:block block-list:abbreviated-name=".5" block-list:name="½"/>
   <block-list:block block-list:abbreviated-name=".*(C)" block-list:name="©"/>
   <block-list:block block-list:abbreviated-name=".*(R)" block-list:name="®"/>
+  <block-list:block block-list:abbreviated-name=".*(주)" block-list:name="㈜"/>
+  <block-list:block block-list:abbreviated-name=".*(KS)" block-list:name="㉿"/>
   <block-list:block block-list:abbreviated-name="1/2" block-list:name="½"/>
   <block-list:block block-list:abbreviated-name="1/4" block-list:name="¼"/>
   <block-list:block block-list:abbreviated-name="3/4" block-list:name="¾"/>

-- 
I checked it on openSUSE Linux with Fcitx-Hangul(IME)

Not working 
(Bracket to enclose characters)
(주) -> (주) Fail (Expected: ㈜ [U+321C] )
(KS) -> (KS) Fail (Expected: ㉿ [U+327F] )

Below is version info.
Version: 7.1.0.0.alpha0+
Build ID: 0fc96ac585520884e3509d574d162ffdae7698c9
CPU threads: 16; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ko-KR (ko_KR.UTF-8); UI: ko-KR
Calc: threaded
Comment 7 DaeHyun Sung 2020-09-01 19:02:19 UTC
(In reply to DaeHyun Sung from comment #6)
> (In reply to Buovjaga from comment #4)
> > Cloph reported on IRC:
> > "no repro on linux/Gnome/ibus for tdf#132614 - setup autocorrect
> > replacements as described, add a korean/hangul input method, type the
> > characters: shift+9 (opening parenthesis), wu (compose the ju syllable),
> > shift+0 (closing parenthesis), space (to trigger the autocorrect) → gets
> > replaced as expected. Even simpler with the (KS), just enter in latin mode
> > and it works."
> > 
> > Maybe you can ask others from the Korean community to test.
> 
> I added ㈜ and ㉿ on 'extras/source/autocorr/lang/ko/DocumentList.xml' 
> diff --git a/extras/source/autocorr/lang/ko/DocumentList.xml
> b/extras/source/autocorr/lang/ko/DocumentList.xml
> index 9fc6e94a19cc..9710a1bc0f65 100644
> --- a/extras/source/autocorr/lang/ko/DocumentList.xml
> +++ b/extras/source/autocorr/lang/ko/DocumentList.xml
> @@ -3,6 +3,8 @@
>    <block-list:block block-list:abbreviated-name=".5" block-list:name="½"/>
>    <block-list:block block-list:abbreviated-name=".*(C)"
> block-list:name="©"/>
>    <block-list:block block-list:abbreviated-name=".*(R)"
> block-list:name="®"/>
> +  <block-list:block block-list:abbreviated-name=".*(주)"
> block-list:name="㈜"/>
> +  <block-list:block block-list:abbreviated-name=".*(KS)"
> block-list:name="㉿"/>
>    <block-list:block block-list:abbreviated-name="1/2" block-list:name="½"/>
>    <block-list:block block-list:abbreviated-name="1/4" block-list:name="¼"/>
>    <block-list:block block-list:abbreviated-name="3/4" block-list:name="¾"/>
> 
> -- 
> I checked it on openSUSE Linux with Fcitx-Hangul(IME)
> 
> Not working 
> (Bracket to enclose characters)
> (주) -> (주) Fail (Expected: ㈜ [U+321C] )
> (KS) -> (KS) Fail (Expected: ㉿ [U+327F] )
> 
> Below is version info.
> Version: 7.1.0.0.alpha0+
> Build ID: 0fc96ac585520884e3509d574d162ffdae7698c9
> CPU threads: 16; OS: Linux 5.8; UI render: default; VCL: gtk3
> Locale: ko-KR (ko_KR.UTF-8); UI: ko-KR
> Calc: threaded

Also, I checked it on windows

I added ㈜ and ㉿ on 'extras/source/autocorr/lang/ko/DocumentList.xml' 
diff --git a/extras/source/autocorr/lang/ko/DocumentList.xml b/extras/source/autocorr/lang/ko/DocumentList.xml
index 9fc6e94a19cc..9710a1bc0f65 100644
--- a/extras/source/autocorr/lang/ko/DocumentList.xml
+++ b/extras/source/autocorr/lang/ko/DocumentList.xml
@@ -3,6 +3,8 @@
   <block-list:block block-list:abbreviated-name=".5" block-list:name="½"/>
   <block-list:block block-list:abbreviated-name=".*(C)" block-list:name="©"/>
   <block-list:block block-list:abbreviated-name=".*(R)" block-list:name="®"/>
+  <block-list:block block-list:abbreviated-name=".*(주)" block-list:name="㈜"/>
+  <block-list:block block-list:abbreviated-name=".*(KS)" block-list:name="㉿"/>
   <block-list:block block-list:abbreviated-name="1/2" block-list:name="½"/>
   <block-list:block block-list:abbreviated-name="1/4" block-list:name="¼"/>
   <block-list:block block-list:abbreviated-name="3/4" block-list:name="¾"/>

I checked it on Windows 10 and Ms default Korean IME.
 
Not working 
(Bracket to enclose characters)
(주) -> (주) Fail (Expected: ㈜ [U+321C] )
(KS) -> (KS) Fail (Expected: ㉿ [U+327F] )
 

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 62ca189dbc9d21a11fd638245c3c2abd438d39ac
CPU threads: 16; OS: Windows 10.0 Build 19041; UI render: default; VCL: win
Locale: ko-KR (ko_KR); UI: ko-KR
Calc: CL
Comment 8 DaeHyun Sung 2020-09-03 09:00:39 UTC
(In reply to DaeHyun Sung from comment #7)
> (In reply to DaeHyun Sung from comment #6)
> > (In reply to Buovjaga from comment #4)
> > > Cloph reported on IRC:
> > > "no repro on linux/Gnome/ibus for tdf#132614 - setup autocorrect
> > > replacements as described, add a korean/hangul input method, type the
> > > characters: shift+9 (opening parenthesis), wu (compose the ju syllable),
> > > shift+0 (closing parenthesis), space (to trigger the autocorrect) → gets
> > > replaced as expected. Even simpler with the (KS), just enter in latin mode
> > > and it works."
> > > 
> > > Maybe you can ask others from the Korean community to test.
> > 
> > I added ㈜ and ㉿ on 'extras/source/autocorr/lang/ko/DocumentList.xml' 
> > diff --git a/extras/source/autocorr/lang/ko/DocumentList.xml
> > b/extras/source/autocorr/lang/ko/DocumentList.xml
> > index 9fc6e94a19cc..9710a1bc0f65 100644
> > --- a/extras/source/autocorr/lang/ko/DocumentList.xml
> > +++ b/extras/source/autocorr/lang/ko/DocumentList.xml
> > @@ -3,6 +3,8 @@
> >    <block-list:block block-list:abbreviated-name=".5" block-list:name="½"/>
> >    <block-list:block block-list:abbreviated-name=".*(C)"
> > block-list:name="©"/>
> >    <block-list:block block-list:abbreviated-name=".*(R)"
> > block-list:name="®"/>
> > +  <block-list:block block-list:abbreviated-name=".*(주)"
> > block-list:name="㈜"/>
> > +  <block-list:block block-list:abbreviated-name=".*(KS)"
> > block-list:name="㉿"/>
> >    <block-list:block block-list:abbreviated-name="1/2" block-list:name="½"/>
> >    <block-list:block block-list:abbreviated-name="1/4" block-list:name="¼"/>
> >    <block-list:block block-list:abbreviated-name="3/4" block-list:name="¾"/>
> > 
> > -- 
> > I checked it on openSUSE Linux with Fcitx-Hangul(IME)
> > 
> > Not working 
> > (Bracket to enclose characters)
> > (주) -> (주) Fail (Expected: ㈜ [U+321C] )
> > (KS) -> (KS) Fail (Expected: ㉿ [U+327F] )
> > 
> > Below is version info.
> > Version: 7.1.0.0.alpha0+
> > Build ID: 0fc96ac585520884e3509d574d162ffdae7698c9
> > CPU threads: 16; OS: Linux 5.8; UI render: default; VCL: gtk3
> > Locale: ko-KR (ko_KR.UTF-8); UI: ko-KR
> > Calc: threaded
> 
> Also, I checked it on windows
> 
> I added ㈜ and ㉿ on 'extras/source/autocorr/lang/ko/DocumentList.xml' 
> diff --git a/extras/source/autocorr/lang/ko/DocumentList.xml
> b/extras/source/autocorr/lang/ko/DocumentList.xml
> index 9fc6e94a19cc..9710a1bc0f65 100644
> --- a/extras/source/autocorr/lang/ko/DocumentList.xml
> +++ b/extras/source/autocorr/lang/ko/DocumentList.xml
> @@ -3,6 +3,8 @@
>    <block-list:block block-list:abbreviated-name=".5" block-list:name="½"/>
>    <block-list:block block-list:abbreviated-name=".*(C)"
> block-list:name="©"/>
>    <block-list:block block-list:abbreviated-name=".*(R)"
> block-list:name="®"/>
> +  <block-list:block block-list:abbreviated-name=".*(주)"
> block-list:name="㈜"/>
> +  <block-list:block block-list:abbreviated-name=".*(KS)"
> block-list:name="㉿"/>
>    <block-list:block block-list:abbreviated-name="1/2" block-list:name="½"/>
>    <block-list:block block-list:abbreviated-name="1/4" block-list:name="¼"/>
>    <block-list:block block-list:abbreviated-name="3/4" block-list:name="¾"/>
> 
> I checked it on Windows 10 and Ms default Korean IME.
>  
> Not working 
> (Bracket to enclose characters)
> (주) -> (주) Fail (Expected: ㈜ [U+321C] )
> (KS) -> (KS) Fail (Expected: ㉿ [U+327F] )
>  
> 
> Version: 7.1.0.0.alpha0+ (x64)
> Build ID: 62ca189dbc9d21a11fd638245c3c2abd438d39ac
> CPU threads: 16; OS: Windows 10.0 Build 19041; UI render: default; VCL: win
> Locale: ko-KR (ko_KR); UI: ko-KR
> Calc: CL


I checked it on MacOSX and Mac's default Korean IME

I added ㈜ and ㉿ on 'extras/source/autocorr/lang/ko/DocumentList.xml' 
diff --git a/extras/source/autocorr/lang/ko/DocumentList.xml b/extras/source/autocorr/lang/ko/DocumentList.xml
index 632ab1780741..2215c712fcbe 100644
--- a/extras/source/autocorr/lang/ko/DocumentList.xml
+++ b/extras/source/autocorr/lang/ko/DocumentList.xml
@@ -3,6 +3,8 @@
   <block-list:block block-list:abbreviated-name=".5" block-list:name="½"/>
   <block-list:block block-list:abbreviated-name=".*(C)" block-list:name="©"/>
   <block-list:block block-list:abbreviated-name=".*(R)" block-list:name="®"/>
+  <block-list:block block-list:abbreviated-name=".*(주)" block-list:name="㈜"/>
+  <block-list:block block-list:abbreviated-name=".*(KS)" block-list:name="㉿"/>
   <block-list:block block-list:abbreviated-name="1/2" block-list:name="½"/>
   <block-list:block block-list:abbreviated-name="1/4" block-list:name="¼"/>
   <block-list:block block-list:abbreviated-name="3/4" block-list:name="¾"/>


 Not working 
 (Bracket to enclose characters)
 (주) -> (주) Fail (Expected: ㈜ [U+321C] )
 (KS) -> (KS) Fail (Expected: ㉿ [U+327F] )

Version: 7.1.0.0.alpha0+
Build ID: 43b788a0007c9731b743758c6c7eb0a981dd7d42
CPU threads: 4; OS: Mac OS X 10.15.6; UI render: default; VCL: osx
Locale: ko-KR (ko_KR.UTF-8); UI: ko-KR
Calc: threaded
Comment 9 DaeHyun Sung 2020-09-09 16:16:59 UTC
I submitted sample source code
+  <block-list:block block-list:abbreviated-name=".*(주)" block-list:name="㈜"/>
+  <block-list:block block-list:abbreviated-name=".*(KS)" block-list:name="㉿"/>


https://gerrit.libreoffice.org/c/core/+/102331


But, Not changed the event 
Actually
(주) -> (주)
(KS) -> (KS)

Expected
(주) -> ㈜ [U+321C]
(KS) -> ㉿ [U+327F]
Comment 10 Commit Notification 2020-09-14 04:39:11 UTC
DaeHyun Sung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/080c0ba99a0499f2033ccc10586e6ad5e8d8b542

add Korean autocorrect items ㈜ & ㉿ tdf#132614

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-09-15 08:58:09 UTC
DaeHyun Sung committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/f34b1e7d4024d47a446dcf374a8f8743a5631219

add Korean autocorrect items ㈜ & ㉿ tdf#132614

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.